Package org.springframework.beans.propertyeditors

# Class LocaleEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.beans.propertyeditors.LocaleEditor

All Implemented Interfaces:
  `PropertyEditor`

public class LocaleEditor extends PropertyEditorSupport
Editor for `java.util.Locale`, to directly populate a Locale property.

Expects the same syntax as Locale's `toString()`, i.e. language + optionally country + optionally variant, separated by "_" (for example, "en", "en_US"). Also accepts spaces as separators, as an alternative to underscores.

Since:
  26.05.2003
Author:
  Juergen Hoeller
See Also:
  - `Locale`
  - `StringUtils.parseLocale(java.lang.String)`

## Constructor Summary

Constructors
Constructor
Description
`LocaleEditor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LocaleEditor

public LocaleEditor()

## Method Details

### setAsText

public void setAsText(String text)

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`